## org.eclipse.datatools.sqltools.db.generic.parser
Class GenericSQLParserTokenManager

    java.lang.Object
      org.eclipse.datatools.sqltools.db.generic.parser.GenericSQLParserTokenManager

All Implemented Interfaces:
  GenericSQLParserConstants

    public class GenericSQLParserTokenManager

extends java.lang.Object
implements GenericSQLParserConstants

Field Summary
`java.io.PrintStream` `debugStream`
`static int[]` `jjnewLexState`
`static java.lang.String[]` `jjstrLiteralImages`
`static java.lang.String[]` `lexStateNames`

Fields inherited from interface org.eclipse.datatools.sqltools.db.generic.parser.GenericSQLParserConstants

`ADD, ALTER, AND, ANY, AS, ASC, ASTERISK, AT, AUTHORIZATION, AVG, BEGIN, BETWEEN, BINARY_LITERAL, BREAK, BROWSE, BULK, BY, CASCADE, CASE, CHECK, CHECKPOINT, CLOSE, CLOSEDESCRIPTION, CLOSEPAREN, CLUSTERED, COALESCE, COMMA, COMMENT_CONTENT, COMMIT, COMPUTE, CONCAT, CONFIRM, CONNECT, CONSTRAINT, CONTINUE, CONTROLROW, CONVERT, COUNT, CREATE, CURRENT, CURSOR, DATABASE, DBCC, DEALLOCATE, DECLARE, DEFAULT, DEFAULT_VAL, DELETE, DESC, DESCRIPTION, DESCRIPTION_START_STATE, DESCRIPTION_STATE, DETERMINISTIC, DIGIT, DISK, DISTINCT, DOT, DOUBLE, DOUBLE_STRING_LITERAL, DROP, DUMMY, DUMP, ELSE, END, ENDTRAN, EOF, EQUAL, ESCAPE, EVENT, EXCEPT, EXCLUSIVE, EXEC, EXECUTE, EXISTS, EXIT, EXPONENT, EXTERNAL, FETCH, FILLFACTOR, FLOATING_POINT_LITERAL, FOR, FOREIGN, FROM, FUNC, FUNCTION, GLOBAL_VAR_NAME, GO, GOTO, GRANT, GREATER, GREATEREQUAL, GROUP, HAVING, HEXDIGIT, HOLDLOCK, ID, IDENTITY, IF, IN, IN_MULTI_LINE_COMMENT, IN_SINGLE_LINE_COMMENT, INDEX, INOUT, INSERT, INSTALL, INTEGER_LITERAL, INTERSECT, INTO, INVALID_TOKEN, IS, ISOLATION, JAR, JAVA_REF, JOIN, JOINPLUS, KEY, KILL, LABEL, LEQJOIN, LESS, LESSEQUAL, LETTER, LEVEL, LIKE, LOAD, LOCK, MAX, MIN, MINUS, MODIFY, MONEY_LITERAL, NATIONAL, NOHOLDLOCK, NONCLUSTERED, NOT, NOTEQUAL, NULL, NULLIF, OF, OFF, OFFSETS, ON, ONCE, ONLINE, ONLY, OPEN, OPENDESCRIPTION, OPENPAREN, OPTION, OR, ORDER, OUT, OUTPUT, OVER, PARTITION, PERM, PERMANENT, PLAN, PLUS, PREPARE, PRIMARY, PRINT, PRIVILEGES, PROC, PROCEDURE, PROCESSEXIT, PROXY_TABLE, PUBLIC, QUESTIONMARK, QUIESCE, RAISERROR, READ, READPAST, READTEXT, RECONFIGURE, REFERENCES, REMOVE, REORG, REPLACE, REPLICATION, REQJOIN, RETURN, RETURNS, REVOKE, ROLE, ROLLBACK, ROWCOUNT, ROWS, ROWTYPE, RULE, SAVE, SCHEMA, SELECT, SEMICOLON, SET, SETUSER, SHARED, SHUTDOWN, SINGLE_LINE_COMMENT, SINGLE_STRING_LITERAL, SLASH, SOME, SQUARE_BRACKET_ID, STATISTICS, STRINGSIZE, STRIPE, SUM, SYMBOL, TABLE, TEMP, TEMP_TABLE_NAME, TEMPORARY, TEXTSIZE, TILDE, TO, tokenImage, TRAN, TRANSACTION, TRIGGER, TRUNCATE, UK_DOUBLE_PRECISION, UK_NCHAR_S, UK_NCHAR_S1, UK_NO_SCROLL, UK_NVARCHAR_S, UK_NVARCHAR_S1, UK_NVARCHAR_S2, UK_SEMI_SENSITIVE, UK_VARCHAR_S, UK_VARCHAR_S1, UNION, UNIQUE, UNPARTITION, UPDATE, USE, USER, USING, VALUES, VAR_NAME, VAR_NAME_BODY, VARYING, VIEW, WAITFOR, WHEN, WHERE, WHILE, WITH, WORK, WRITETEXT`

Constructor Summary
`GenericSQLParserTokenManager(JavaCharStream stream)`
`GenericSQLParserTokenManager(JavaCharStream stream, int lexState)`

Method Summary
`Token` `getNextToken()`
`void` `ReInit(JavaCharStream stream)`
`void` `ReInit(JavaCharStream stream, int lexState)`
`void` `setDebugStream(java.io.PrintStream ds)`
`void` `SwitchTo(int lexState)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### debugStream

    public java.io.PrintStream debugStream

### jjstrLiteralImages

    public static final java.lang.String[] jjstrLiteralImages

### lexStateNames

    public static final java.lang.String[] lexStateNames

### jjnewLexState

    public static final int[] jjnewLexState

Constructor Detail

### GenericSQLParserTokenManager

    public GenericSQLParserTokenManager(JavaCharStream stream)

### GenericSQLParserTokenManager

    public GenericSQLParserTokenManager(JavaCharStream stream,
                                        int lexState)

Method Detail

### setDebugStream

    public void setDebugStream(java.io.PrintStream ds)

### ReInit

    public void ReInit(JavaCharStream stream)

### ReInit

    public void ReInit(JavaCharStream stream,
                       int lexState)

### SwitchTo

    public void SwitchTo(int lexState)

### getNextToken

    public Token getNextToken()